<template>
  <div class="the-nav">
    <nav
      v-click-outside="onCloseMegaMenu"
      class="flex items-center static text-sm font-medium text-dark-blue"
    >
      <ul class="flex items-center">
        <li
          v-for="item in MenuLinks"
          :key="'item' + item.id"
          class="item-menu leading-none mr-8"
        >
          <nuxt-link class="leading-7 py-3" :to="{ name: 'category' }">
            {{ item.name }}
          </nuxt-link>
        </li>
        <li class="static leading-none ml-4">
          <a
            class="w-8 h-8 flex items-center justify-center"
            href="javascript:;"
            @click="onChangeIsMegaMenu"
          >
            <svg-icon
              v-if="isMegaMenu"
              class="w-5 h-5 text-blue"
              name="icon-closed"
            />
            <svg-icon v-else class="w-8 h-8 text-dark-blue" name="icon-menu" />
          </a>
          <div
            v-show="isMegaMenu"
            :class="{
              'animation-fadeIn animation-once animation-200ms': isMegaMenu
            }"
            style="top: 100%"
            class="megamenu bg-white absolute z-10 w-full left-0 border-t border-gray-light"
          >
            <div class="container">
              <div class="flex justify-between">
                <div
                  v-for="megaitem in MenuLinks"
                  :key="'megaitem' + megaitem.id"
                  class="w-3/12 md:px-5 pt-10 pb-8 border-l border-gray-light first:border-l-0 first:pl-0"
                >
                  <div
                    class="leading-140 text-28px font-medium mb-4 text-dark-blue"
                  >
                    <a href="#" class="hover:text-primary">
                      {{ megaitem.name }}
                    </a>
                  </div>
                  <ul
                    v-if="megaitem.children.length > 0"
                    class="space-y-3 leading-160 text-lg font-normal text-dark-blue pb-5"
                  >
                    <li
                      v-for="childitem in megaitem.children"
                      :key="'childitem' + childitem.id"
                    >
                      <a href="#" class="hover:text-blue">
                        {{ childitem.name }}
                      </a>
                    </li>
                    <li>
                      <a
                        href="#"
                        class="text-sm text-gray-medium hover:text-blue"
                      >
                        Tất cả
                      </a>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="container">
              <div class="flex items-center border-t border-gray-light">
                <div class="md:w-3/12 text-dark-blue font-normal">
                  <div class="flex items-start">
                    <span class="text-xl leading-150">Hello, we are</span>
                    <span
                      class="ml-1 text-2xl leading-none font-medium text-green-spring"
                    >
                      ThinkView.
                    </span>
                  </div>
                </div>
                <div class="md:w-6/12 text-dark-blue font-normal text-xs pl-5">
                  <ul class="space-x-6">
                    <li class="inline-block">
                      <a href="#" class="flex items-center hover:text-primary">
                        <svg-icon
                          name="icon-facebook"
                          class="w-4 h-4 mr-2"
                        ></svg-icon>
                        <span>Facebook</span>
                      </a>
                    </li>
                    <li class="inline-block">
                      <a href="#" class="flex items-center hover:text-primary">
                        <svg-icon
                          name="icon-youtube"
                          class="w-4 h-4 mr-2"
                        ></svg-icon>
                        <span>Youtube</span>
                      </a>
                    </li>
                    <li class="inline-block">
                      <a href="#" class="flex items-center hover:text-primary">
                        <svg-icon
                          name="icon-instagram"
                          class="w-4 h-4 mr-2"
                        ></svg-icon>
                        <span>Instagram</span>
                      </a>
                    </li>
                    <li class="inline-block">
                      <a href="#" class="flex items-center hover:text-primary">
                        <svg-icon
                          name="icon-twitter"
                          class="w-4 h-4 mr-2"
                        ></svg-icon>
                        <span>Twitter</span>
                      </a>
                    </li>
                    <li class="inline-block">
                      <a href="#" class="flex items-center hover:text-primary">
                        <svg-icon
                          name="icon-mail"
                          class="w-4 h-4 mr-2"
                        ></svg-icon>
                        <span>hello@thinkview.vn</span>
                      </a>
                    </li>
                  </ul>
                </div>
                <div
                  class="md:w-3/12 border-l border-gray-light pl-5 leading-none"
                >
                  <div class="font-normal text-xs py-6">
                    <ul class="space-x-6">
                      <li class="inline-block">
                        <a
                          href="#"
                          class="flex items-center hover:text-primary"
                        >
                          <svg-icon
                            name="icon-iPhone"
                            class="h-4 w-4 mr-2"
                          ></svg-icon>
                          <span class="leading-140">Liên hệ</span>
                        </a>
                      </li>
                      <li class="inline-block">
                        <a
                          href="#"
                          class="flex items-center hover:text-primary"
                        >
                          <svg-icon
                            name="icon-ads"
                            class="h-4 w-4 mr-2"
                          ></svg-icon>
                          <span class="leading-140">Tài trợ</span>
                        </a>
                      </li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </li>
      </ul>
    </nav>
  </div>
</template>

<script>
import vClickOutside from 'v-click-outside'

export default {
  name: 'TheNavigation',
  directives: {
    clickOutside: vClickOutside.directive
  },
  props: {
    isSticky: {
      type: Boolean,
      default: false
    },
    isMegaMenu: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {}
  },
  computed: {
    MenuLinks() {
      return this.$store.getters.MainMenu
    }
  },
  methods: {
    onCloseMegaMenu() {
      this.$emit('update:isMegaMenu', false)
    },
    onChangeIsMegaMenu() {
      this.$emit('update:isMegaMenu', !this.isMegaMenu)
    }
  }
}
</script>

<style lang="scss">
.item-menu {
  position: relative;
  transition: all 0.35s ease;
  &:before {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0;
    height: 2px;
    background: #053fff;
    transition: all 0.35s ease;
  }
  a {
    display: inline-block;
    &:focus {
      outline: none;
    }
  }
  &.active,
  &:hover {
    color: #053fff;
    &:before {
      width: 32px;
    }
  }

  // Submenu
  .submenu {
    padding-top: 4px;
    position: absolute;
    top: 100%;
    min-width: 268px;
    opacity: 0;
    transition: all 0.35s ease;
  }
  &:hover {
    .submenu {
      transition: all 0.35s ease;
      opacity: 1;
      visibility: visible;
    }
  }
}
</style>
